- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::FindMetadatumByIfdIdIdx Class Reference

Unary predicate that matches a Exifdatum with a given ifd id and idx. More...

`#include <exif.hpp>`

List of all members.

## Public Member Functions
| FindMetadatumByIfdIdIdx (IfdId ifdId, int idx)
| Constructor, initializes the object with the ifd id and idx to look for.
bool | operator() (const Exifdatum &exifdatum) const
| Returns true if the ifd id and idx of the argument exifdatum is equal to that of the object.

## Detailed Description

Unary predicate that matches a Exifdatum with a given ifd id and idx.

The documentation for this class was generated from the following file:

- exif.hpp